Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518677 - SELinux is preventing abrt-action-sav to access map on file /var/lib/rpm/Name.
Summary: SELinux is preventing abrt-action-sav to access map on file /var/lib/rpm/Name.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard:
: 1541977 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 12:58 UTC by Germano Massullo
Modified: 2018-11-30 20:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:59:47 UTC


Attachments (Terms of Use)

Description Germano Massullo 2017-11-29 12:58:08 UTC
SELinux impedisce a abrt-action-sav un accesso map su file /var/lib/rpm/Name.
⏎
⏎
***** Plugin restorecon(99.5 confidenza) suggerisce************************

Se si desidera sistemare l'etichetta. 
L'etichetta predefinita di /var/lib/rpm/Name dovrebbe essere rpm_var_lib_t.
Quindi you can run restorecon. The access attempt may have been stopped due to insufficient permissions to access a parent directory in which case try to change the following command accordingly.
Fai
# /sbin/restorecon -v /var/lib/rpm/Name
⏎
⏎
***** Plugin catchall(1.49 confidenza) suggerisce**************************

Se si crede che abrt-action-sav dovrebbe avere possibilità di accesso map sui Name file in modo predefinito.
Quindi si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Fai
allow this access for now by executing:
# ausearch -c 'abrt-action-sav' --raw | audit2allow -M my-abrtactionsav
# semodule -X 300 -i my-abrtactionsav.pp

Informazioni addizionali:
Contesto della sorgente       system_u:system_r:abrt_t:s0-s0:c0.c1023
Contesto target               unconfined_u:object_r:var_lib_t:s0
Oggetti target                /var/lib/rpm/Name [ file ]
Sorgente                      abrt-action-sav
Percorso della sorgente       abrt-action-sav
Porta                         <Sconosciuto>

Sorgente Pacchetti RPM        
Pacchetti RPM target          
RPM della policy              <Sconosciuto>
Selinux abilitato             True
Tipo di politica              targeted
Modalità Enforcing            Enforcing

Piattaforma                   Linux  4.13.15-300.fc27.x86_64 #1 SMP Tue
                              Nov 21 21:10:22 UTC 2017 x86_64 x86_64
Conteggio avvisi              817
Primo visto                   2017-11-29 13:45:27 CET
Ultimo visto                  2017-11-29 13:53:37 CET


Messaggi Raw Audit
type=AVC msg=audit(1511960017.599:9202): avc:  denied  { map } for  pid=9533 comm="abrt-action-lis" path="/var/lib/rpm/Name" dev="sdb2" ino=165458 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_lib_t:s0 tclass=file permissive=0


Hash: abrt-action-sav,abrt_t,var_lib_t,file,map

Comment 1 Andrey Motoshkov 2018-02-25 09:04:23 UTC
Version:
selinux-policy-3.13.1-283.24.fc27.noarch
selinux-policy-targeted-3.13.1-283.24.fc27.noarch
abrt-2.10.5-1.fc27.x86_64
kernel-4.15.4-300.fc27.x86_64


SELinux is preventing abrt-action-sav from map access on the file /var/lib/rpm/Name.

*****  Plugin restorecon (99.5 confidence) suggests   ************************

If you want to fix the label. 
/var/lib/rpm/Name default label should be rpm_var_lib_t.
Then you can run restorecon. The access attempt may have been stopped due to insufficient permissions to access a parent directory in which case try to change the following command accordingly.
Do
# /sbin/restorecon -v /var/lib/rpm/Name

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that abrt-action-sav should be allowed map access on the Name file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'abrt-action-sav' --raw | audit2allow -M my-abrtactionsav
# semodule -X 300 -i my-abrtactionsav.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:var_lib_t:s0
Target Objects                /var/lib/rpm/Name [ file ]
Source                        abrt-action-sav
Source Path                   abrt-action-sav
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.15.3-300.fc27.x86_64
                              #1 SMP Tue Feb 13 17:02:01 UTC 2018 x86_64 x86_64
Alert Count                   13828
First Seen                    2017-09-29 15:37:18 IDT
Last Seen                     2018-02-24 22:50:35 IST
Local ID                      3b511674-041a-4595-8010-84a1c19a101c

Raw Audit Messages
type=AVC msg=audit(1519505435.106:639): avc:  denied  { map } for  pid=11641 comm="gdb" path="/var/lib/rpm/Name" dev="dm-0" ino=5374798 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_lib_t:s0 tclass=file permissive=0


Hash: abrt-action-sav,abrt_t,var_lib_t,file,map

Comment 2 Matthew Cline 2018-03-26 00:09:33 UTC
I encountered this after upgrading from Fedora 26 to Fedora 27.  Poking around, I found that restorecon said that all of the files in /var/lib/rpm SHOULD be labeled unconfined_u:object_r:rpm_var_lib_t:s0, but were instead labeled unconfined_u:object_r:var_lib_t:s0.  Perhaps the problem happens because the DNF system upgrade doesn't change the labels of the /var/lib/rpm files?

Comment 3 Germano Massullo 2018-04-11 22:22:51 UTC
*** Bug 1541977 has been marked as a duplicate of this bug. ***

Comment 4 Ben Cotton 2018-11-27 16:11:40 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 20:59:47 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.